package com.usky.rule.vo.log;

import java.util.List;

public class DeviceControlResult {
    private String id;
    private String name;
    private List<Result> result;

    public DeviceControlResult() {
    }

    public String getId() {
        return this.id;
    }

    public String getName() {
        return this.name;
    }

    public List<Result> getResult() {
        return this.result;
    }

    public void setId(final String id) {
        this.id = id;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setResult(final List<Result> result) {
        this.result = result;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof DeviceControlResult)) {
            return false;
        } else {
            DeviceControlResult other = (DeviceControlResult)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$id = this.getId();
                Object other$id = other.getId();
                if (this$id == null) {
                    if (other$id != null) {
                        return false;
                    }
                } else if (!this$id.equals(other$id)) {
                    return false;
                }

                Object this$name = this.getName();
                Object other$name = other.getName();
                if (this$name == null) {
                    if (other$name != null) {
                        return false;
                    }
                } else if (!this$name.equals(other$name)) {
                    return false;
                }

                Object this$result = this.getResult();
                Object other$result = other.getResult();
                if (this$result == null) {
                    if (other$result != null) {
                        return false;
                    }
                } else if (!this$result.equals(other$result)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof DeviceControlResult;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $id = this.getId();
        result = result * 59 + ($id == null ? 43 : $id.hashCode());
        Object $name = this.getName();
        result = result * 59 + ($name == null ? 43 : $name.hashCode());
        Object $result = this.getResult();
        result = result * 59 + ($result == null ? 43 : $result.hashCode());
        return result;
    }

    public String toString() {
        return "DeviceControlResult(id=" + this.getId() + ", name=" + this.getName() + ", result=" + this.getResult() + ")";
    }

    public static class Result {
        private String code;
        private String message;
        private String reqTime;
        private String respTime;

        public Result() {
        }

        public String getCode() {
            return this.code;
        }

        public String getMessage() {
            return this.message;
        }

        public String getReqTime() {
            return this.reqTime;
        }

        public String getRespTime() {
            return this.respTime;
        }

        public void setCode(final String code) {
            this.code = code;
        }

        public void setMessage(final String message) {
            this.message = message;
        }

        public void setReqTime(final String reqTime) {
            this.reqTime = reqTime;
        }

        public void setRespTime(final String respTime) {
            this.respTime = respTime;
        }

        public boolean equals(final Object o) {
            if (o == this) {
                return true;
            } else if (!(o instanceof Result)) {
                return false;
            } else {
                Result other = (Result)o;
                if (!other.canEqual(this)) {
                    return false;
                } else {
                    Object this$code = this.getCode();
                    Object other$code = other.getCode();
                    if (this$code == null) {
                        if (other$code != null) {
                            return false;
                        }
                    } else if (!this$code.equals(other$code)) {
                        return false;
                    }

                    Object this$message = this.getMessage();
                    Object other$message = other.getMessage();
                    if (this$message == null) {
                        if (other$message != null) {
                            return false;
                        }
                    } else if (!this$message.equals(other$message)) {
                        return false;
                    }

                    Object this$reqTime = this.getReqTime();
                    Object other$reqTime = other.getReqTime();
                    if (this$reqTime == null) {
                        if (other$reqTime != null) {
                            return false;
                        }
                    } else if (!this$reqTime.equals(other$reqTime)) {
                        return false;
                    }

                    Object this$respTime = this.getRespTime();
                    Object other$respTime = other.getRespTime();
                    if (this$respTime == null) {
                        if (other$respTime != null) {
                            return false;
                        }
                    } else if (!this$respTime.equals(other$respTime)) {
                        return false;
                    }

                    return true;
                }
            }
        }

        protected boolean canEqual(final Object other) {
            return other instanceof Result;
        }

        public int hashCode() {
            int PRIME = 59;
            int result = 1;
            Object $code = this.getCode();
            result = result * 59 + ($code == null ? 43 : $code.hashCode());
            Object $message = this.getMessage();
            result = result * 59 + ($message == null ? 43 : $message.hashCode());
            Object $reqTime = this.getReqTime();
            result = result * 59 + ($reqTime == null ? 43 : $reqTime.hashCode());
            Object $respTime = this.getRespTime();
            result = result * 59 + ($respTime == null ? 43 : $respTime.hashCode());
            return result;
        }

        public String toString() {
            return "DeviceControlResult.Result(code=" + this.getCode() + ", message=" + this.getMessage() + ", reqTime=" + this.getReqTime() + ", respTime=" + this.getRespTime() + ")";
        }
    }
}
